<template>
  <div class="card-wrapper">
    <div class="card">
      <button class="card-click" @click="sendCocktail"></button>
      <div class="card-image">
        <img
          class="image"
          :src="cocktail.image"
          :alt="`Cocktail de ${cocktail.name}`"
        />
      </div>
      <div class="details">
        <h4>{{ cocktail.name }}</h4>
        <p class="info-items">{{ cocktail.category }}</p>
        <p class="info-items">{{ cocktail.alcoholic }}</p>
        <p class="info-items">{{ cocktail.glassName }}</p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CardCocktail",
  components: {},
  props: {
    cocktail: Object,
  },
  methods: {
    sendCocktail() {
      this.$emit('sending-cocktail',this.cocktail)
      this.$router.push(`/cocktail/${this.cocktail.id}`)
    }
  }
};
</script>

<style src="./CardCocktail.scss" lang="scss">
</style>